Bug 121695 - comments: after editing Position and Size, arrow points to cell A1
Summary: comments: after editing Position and Size, arrow points to cell A1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0.1 target:6.3.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-24 15:58 UTC by Oliver Brinzing
Modified: 2018-11-28 11:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
position and size demo (109.95 KB, image/jpeg)
2018-11-24 15:58 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2018-11-24 15:58:19 UTC
Created attachment 147003 [details]
position and size demo

steps to reproduce:
- open attachment from
  https://bugs.documentfoundation.org/attachment.cgi?id=147002
- open comments context menu and select Position and Size"
- press [OK]
- arrow points to cell A1, see attached png.
Comment 1 Xavier Van Wijmeersch 2018-11-24 20:06:31 UTC
can also reproduce under linux with

Version: 6.3.0.0.alpha0+
Build ID: 82cc30a832dde298832d9f029e0ead94a9d2d14b
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: d112ffd5f101a8533c48b2ce250951d8a1332252
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.2.0.0.beta1+
Build ID: 19805f580fcbcf890790f8c6ab736aab80c08de7
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.1.4.0.0+
Build ID: b3af23568f9b9b444ae09f2a1ab4a61d212b422a
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-6-1, Time: 2018-11-23_09:38:29
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2018-11-27 20:59:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ebfb0d3950a8723e24baa330b80a0a560e381639

author	Caolán McNamara <caolanm@redhat.com>	2018-05-28 16:51:20 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-28 22:52:43 +0200
commit	ebfb0d3950a8723e24baa330b80a0a560e381639 (patch)
tree	c414b00753bed3fca93fbf872b096a35f9299d4b
parent	79f796cc6f0c7b7e8dbc627467037e942d099c52 (diff)
weld SvxPositionSizeTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2018-11-28 08:48:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/50fdcf88f668547be7a29a525e392679385d5f0b%5E%21

Resolves: tdf#121695 call save_value

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-28 08:48:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6db4b97ee12805ce993bd7663a0613b4b4f25587%5E%21

Resolves: tdf#121695 call save_value

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-11-28 08:49:36 UTC
backport to 6-1 in gerrit
Comment 6 Xisco Faulí 2018-11-28 11:40:25 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: ce7bb69f8205bcbe36cba4c53bd110e07ef3e05d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán McNamara, thanks for fixing this!!
Comment 7 Commit Notification 2018-11-28 11:44:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/8b141eb612a89a112b9bb11baeff32155e4a0150%5E%21

Resolves: tdf#121695 call save_value

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.